/*
 File: terminal_def_symclasssym.cpp
 Date and Time: Fri Jan 30 18:55:26 2015 
*/
#include "terminal_def_symclass.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_terminal_def_symclass;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_terminal_def_symclass::TH_terminal_def_symclass(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_terminal_def_symclass;
  NS_terminal_def_symclass::Cterminal_def_symclass Cterminal_def_symclass_;// parallel-parser's parse table
#define ssPARSE_TABLE Cterminal_def_symclass_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_terminal_def_symclass::PROC_TH_terminal_def_symclass(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_terminal_def_symclass";
  static bool one_time(false);
  static NS_terminal_def_symclass::Cterminal_def_symclass* NS_terminal_def_symclass_Cterminal_def_symclass_(0);// parallel-parser's fsm table
  static Parser* NS_terminal_def_symclass_Cterminal_def_symclass_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_terminal_def_symclass_Cterminal_def_symclass_ = new NS_terminal_def_symclass::Cterminal_def_symclass();// parallel-parser's fsm table
    NS_terminal_def_symclass_Cterminal_def_symclass_parser = new Parser(*NS_terminal_def_symclass_Cterminal_def_symclass_,Caller_pp);
  }
 proc_parser = NS_terminal_def_symclass_Cterminal_def_symclass_parser;
#include "wproc_pp_core.h"
}
void 
Cterminal_def_symclass::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rterminal_def_symclass_:{
       Rterminal_def_symclass* sym;
     if(re->rule_ == 0){
       sym = new Rterminal_def_symclass(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rterminal_def_symclass*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 9;
    

     sym->sr1();
     sym->op();
     return;}
    case rhs1_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    default: return;
   }
}
